shisa_cfg_db(3)

NAME
shisa_cfg_db - API function

SYNOPSIS
#include <shisa.h>

int shisa_cfg_db(Shisa * dbh, const char * value);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * value
    String containing database definition.

DESCRIPTION
Sets up and opens a new database. The syntax of the parameter value is "TYPE[ LOCATION[ PARAMETER]]", where TYPE is one of the supported database types, typically "file".

The above substrings LOCATION and PARAMETER are optional strings passed on verbatim to the database during initialization. Neither TYPE nor LOCATION may contain embedded spaces, but PARAMETER may do so.

RETURN VALUE
Returns SHISA_OK if a database was parsed and opened successfully.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.